# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "aubri"
version = "0.2.0"
authors = ["Lucian BLETAN <neuraluc@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Encrypted P2P audio bridge for Linux"
homepage = "https://github.com/gni/aubri"
documentation = "https://docs.rs/aubri"
readme = "README.md"
keywords = [
    "audio",
    "bridge",
    "udp",
    "p2p",
    "tcp",
]
categories = [
    "command-line-utilities",
    "development-tools",
]
license = "MIT"
repository = "https://github.com/gni/aubri"

[features]
default = []
gui = ["eframe"]

[[bin]]
name = "aubri"
path = "src/main.rs"

[dependencies.blake3]
version = "1.8.5"

[dependencies.bytemuck]
version = "1.25.0"
features = ["derive"]

[dependencies.chacha20poly1305]
version = "0.10.1"

[dependencies.clap]
version = "4.6.1"
features = [
    "derive",
    "env",
]

[dependencies.cpal]
version = "0.17.3"

[dependencies.eframe]
version = "0.34.2"
features = [
    "default_fonts",
    "glow",
    "wayland",
    "x11",
]
optional = true
default-features = false

[dependencies.rand]
version = "0.10.1"

[dependencies.rpassword]
version = "7.5.3"

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.150"

[dependencies.tracing]
version = "0.1.44"

[dependencies.tracing-subscriber]
version = "0.3.23"
features = ["env-filter"]
